6.0.0-git
2019-04-21

[#12648] Decrypting PGP messages contains MIME headers
Summary Decrypting PGP messages contains MIME headers
Queue IMP
Queue Version 6.1.4
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester jan (at) horde (dot) org
Created 2013-09-02 (2057 days ago)
Due
Updated 2013-12-17 (1951 days ago)
Assigned 2013-09-03 (2056 days ago)
Resolved 2013-09-04 (2055 days ago)
Milestone
Patch No

History
2013-12-17 11:35:24 Git Commit Comment #7 Reply to this comment
Changes have been made in Git (master):

commit 4ed7a2e6be790a05ac0a740243ac0a6bad374c6b
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Wed Sep 4 00:07:53 2013 -0600

     [mms] Fix regression where MIME headers were being displayed for 
PGP decrypted messages (Bug #12648).

  imp/docs/CHANGES            |    2 ++
  imp/lib/Mime/Viewer/Pgp.php |    7 ++++---
  imp/package.xml             |    2 ++
  3 files changed, 8 insertions(+), 3 deletions(-)

http://git.horde.org/horde-git/-/commit/4ed7a2e6be790a05ac0a740243ac0a6bad374c6b
2013-09-04 06:09:20 Michael Slusarz Comment #6
Summary ⇒ Decrypting PGP messages contains MIME headers
State ⇒ Resolved
Version ⇒ 6.1.4
Reply to this comment
IMP 6.1.5.
2013-09-04 06:09:00 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (master):

commit 25ce6cdbeb57d3e4cf5cecbb134dea2b5e28eb8a
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Wed Sep 4 00:07:53 2013 -0600

     [mms] Fix regression where MIME headers were being displayed for 
PGP decrypted messages (Bug #12648).

  imp/docs/CHANGES            |    2 ++
  imp/lib/Mime/Viewer/Pgp.php |    7 ++++---
  imp/package.xml             |    2 ++
  3 files changed, 8 insertions(+), 3 deletions(-)

http://git.horde.org/horde-git/-/commit/25ce6cdbeb57d3e4cf5cecbb134dea2b5e28eb8a
2013-09-03 19:16:03 Michael Slusarz Comment #4
Summary ⇒ Decrrypting PGP messages contains MIME headers
State ⇒ Assigned
Reply to this comment
If that is what it's supposed to be, then UNencrypting in IMP is 
broken, because those headers are displayed in the body of decrypted 
messages too.
Yes, this would be the issue.
2013-09-03 19:14:05 Jan Schneider Comment #3 Reply to this comment

[Show Quoted Text - 18 lines]
Well, it looked fishy to me that the headers (and only those headers) 
were included. If that is what it's supposed to be, then UNencrypting 
in IMP is broken, because those headers are displayed in the body of 
decrypted messages too.
2013-09-03 18:18:54 Michael Slusarz Comment #2
State ⇒ Feedback
Reply to this comment

[Show Quoted Text - 13 lines]
I'm confused.  This is EXACTLY the text that is supposed to be 
encrypted.  The message is rendered into canonical MIME form and then 
the entire message is encrypted.  You don't just encrypt the text.
2013-09-02 11:48:28 Jan Schneider Comment #1
Type ⇒ Bug
State ⇒ Assigned
Priority ⇒ 1. Low
Summary ⇒ PGP encrypted message contains headers
Queue ⇒ IMP
Assigned to Michael Slusarz
Milestone ⇒
Patch ⇒ No
Reply to this comment
This is actually in imp_6_2, haven't tested master yet. If writing a 
PGP encrypted plain text message like

<<<EOT

Test
--
Jan Schneider
The Horde Project
http://www.horde.org/
EOT

The content that gets encrypted is like:

<<<EOT
Content-Type: text/plain; charset=UTF-8; format=flowed; DelSp=Yes
Content-Disposition: inline


Test
--
Jan Schneider
The Horde Project
http://www.horde.org/
EOT

Saved Queries